Python3-yoyo errors
#1
I installed Mobian to the emmc on my pinephone.  After resizing the partition on it's first boot, I decided to do a full system upgrade with
Code:
sudo apt update && sudo apt upgrade

Unfortunately, I encountered an error with dpkg trying to unpack python3-yoyo.

I am unsure of where to look to find more information about this error as a Google search doesn't bring up any results, so any help would be greatly appreciated.
#2
There was an upgrade problem a while back with yoyo: did you install the latest nightly? (Shouldn't be a problem with a nightly since 20201113)
  • ROCKPro64 v2.1 2GB, 16Gb eMMC for rootfs, SX8200Pro 512GB NVMe for /home, HDMI video & sound, Bluetooth keyboard & mouse. Arch (5.14 kernel, Openbox desktop) for general purpose daily PC.
  • PinePhone BraveHeart now v1.2b 3/32Gb daily driver, dual boot via p-boot with Mobian/f2fs/Phosh on eMMC, Arch/ext4/Phosh on SDcard
  • PinePhone v1.2a 2G/16Gb that needs USB board replaced
#3
I used the Mobian installer to install Mobian to the emmc. I will download the newest nightly build and try from there.
#4
The nightly build solved the problem with python3-yoyo.  Thank you for the help.
#5
This solved it for me:
Code:
sudo rm -rf /var/lib/dpkg/info/python3-yoyo-migrations.* && sudo apt autoremove && sudo apt-get dist-upgrade -y


Possibly Related Threads…
Thread Author Replies Views Last Post
  Is there a list of software/Hardware errors Franze_m 6 1,691 02-24-2021, 12:07 PM
Last Post: tophneal
  Yoyo interefering with apt upgrade Hiraghm 3 1,714 10-11-2020, 11:12 PM
Last Post: ergo owl

Forum Jump:


Users browsing this thread: 1 Guest(s)